﻿using UnityEngine;

public class ForceField : MonoBehaviour
{
    float scrollSpeed = 0.5f; // Vitesse du scrolling
    Renderer rend; // Le composant Renderer (Accès au material)

    // Se déclenche au lancement
    void Start()
    {
        rend = GetComponent<Renderer>(); // Référence vers le Renderer
    }

    // Tourne en boucle 60 images/seconde
    void Update()
    {
        float offset = Time.time * scrollSpeed; // Change la valeur en fonction du temps
        rend.material.mainTextureOffset = new Vector2(offset, offset/3); // On modifie la valeur de offset
    }
}
