﻿using UnityEngine;
using UnityEngine.SceneManagement;

public class BallScript : MonoBehaviour
{
    public GameObject panelFin;

    // Si on touche un Trigger
    void OnTriggerEnter(Collider other)
    {
        // Si le Tag du trigger est "Ocean"
        if (other.gameObject.tag == "Ocean")
        {
            SceneManager.LoadScene(SceneManager.GetActiveScene().buildIndex);
        }

        // Si le Tag du trigger est "Fin"
        if (other.gameObject.tag == "Fin")
        {
            // Déclencher fin du niveau
            panelFin.SetActive(true);
            // Récupérer le numéro du niveau
            // 0 = menu, 1 = niveau 1, 2 = niveau 2...
            int niveauActuel = SceneManager.GetActiveScene().buildIndex;
            // On sauvegarde le numéro du dernier niveau terminé
            PlayerPrefs.SetInt("DernierNiveau", niveauActuel);

            // Exemple de récupération de la donnée
            // int exemple = PlayerPrefs.GetInt("DernierNiveau");
        }
    }
}
